Bug 568498 - Regex for parsing lists of standard users and groups misses some entries
Regex for parsing lists of standard users and groups misses some entries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-25 15:30 EST by Nalin Dahyabhai
Modified: 2010-03-11 23:28 EST (History)
3 users (show)

See Also:
Fixed In Version: rpmlint-0.95-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-11 08:31:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2010-02-25 15:30:53 EST
The regex rpmlint.config uses to read entries from "setup"'s uidgid file misses entries where the group number is enclosed in parentheses (which indicates that the group "belongs" to another entry).  This causes false negatives for files or directories owned by users such as "amanda" and "nslcd".
Comment 1 Ville Skyttä 2010-02-25 17:15:03 EST
Thanks for the report, will fix in the next package revision.
Comment 2 Fedora Update System 2010-03-06 15:15:02 EST
rpmlint-0.95-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rpmlint-0.95-2.fc13
Comment 3 Fedora Update System 2010-03-06 15:16:20 EST
rpmlint-0.95-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmlint-0.95-2.fc12
Comment 4 Fedora Update System 2010-03-08 22:35:43 EST
rpmlint-0.95-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rpmlint-0.95-2.fc13
Comment 5 Fedora Update System 2010-03-11 08:31:19 EST
rpmlint-0.95-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-03-11 23:28:03 EST
rpmlint-0.95-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.